PPIx::QuoteLike::Token::Structure(3pm)

NAME
PPIx::QuoteLike::Token::Structure - Represent the structure of the string.

SYNOPSIS
This class should not be instantiated by the user. See below for public methods.

INHERITANCE
"PPIx::QuoteLike::Token::Structure" is a PPIx::QuoteLike::Token.

"PPIx::QuoteLike::Token::Structure" is the parent of PPIx::QuoteLike::Token::Delimiter.

DESCRIPTION
This Perl class represents the initial token in the string; that is, the 'q', 'qq', 'qx', or (for here documents) '<<' , together with any trailing space. For strings that have no initial token (that is, those simply enclosed in quotes) this will be the empty string.

METHODS
This class supports the following public methods:

SEE ALSO
PPIx::QuoteLike::Token.

SUPPORT
Support is by the author. Please file bug reports at <https://github.com/trwyant/perl-PPIx-QuoteLike/issues> or in electronic mail to the author.

AUTHOR
Thomas R. Wyant, III harryfmudd at comcast dot net

COPYRIGHT AND LICENSE
Copyright (C) 2016-2022, 2026 by Thomas R. Wyant, III

This program is free software; you can redistribute it and/or modify it under the same terms as Perl 5.10.0. For more details, see the full text of the licenses in the files LICENSE-Artistic and LICENSE-GPL.

This program is distributed in the hope that it will be useful, but without any warranty; without even the implied warranty of merchantability or fitness for a particular purpose.